[SOLVED] Upgrading very old OS

If none of the more specific forums is the right place to ask

[SOLVED] Upgrading very old OS

Postby circus78 » 2018-03-08 21:01

Hi,
I would like to upgrade an old Lenny installation.
When I run "apt-get update", I get this:

Code: Select all
# apt-get update
Get:1 http://archive.debian.org squeeze Release.gpg [1655B]
Ign http://archive.debian.org squeeze/main Translation-en_US
Hit http://archive.debian.org squeeze Release
Err http://archive.debian.org squeeze Release

Get:2 http://archive.debian.org squeeze Release [96.0kB]
Ign http://archive.debian.org squeeze Release
Ign http://archive.debian.org squeeze/main Packages/DiffIndex
Hit http://archive.debian.org squeeze/main Packages
Fetched 97.7kB in 0s (260kB/s)
Reading package lists... Done
W: GPG error: http://archive.debian.org squeeze Release: The following signatures were invalid: KEYEXPIRED 1520281423 KEYEXPIRED 1501892461
W: You may want to run apt-get update to correct these problems


How can I go ahead?
Thank you !
Last edited by circus78 on 2018-05-05 09:12, edited 1 time in total.
circus78
 
Posts: 32
Joined: 2012-09-14 08:47


Re: Upgrading very old OS

Postby debiman » 2018-03-10 11:26

shouldn't your sources be lenny then, and not squeeze?
anyhow, squeeze and i believe also wheezy went EOL. there's no upgrade path.
you really need to reinstall.
User avatar
debiman
 
Posts: 2809
Joined: 2013-03-12 07:18

Re: Upgrading very old OS

Postby Wheelerof4te » 2018-03-11 14:25

Even though Debian keeps old major versions in an archive somewhere, I don't think mirrors are kept for long after an EOL.
+1 for reinstall of Stretch.
User avatar
Wheelerof4te
 
Posts: 1134
Joined: 2015-08-30 20:14

Re: Upgrading very old OS

Postby Bulkley » 2018-03-11 18:06

The problem with dist-upgrading is that you will have to do it in sequence testing each version along the way. It is possible but tedious and fraught with difficulties. That you asked suggests that you should avoid it. So, I have to agree with the others above and recommend doing a backup and a fresh install.
Bulkley
 
Posts: 5617
Joined: 2006-02-11 18:35

Re: Upgrading very old OS

Postby GarryRicketson » 2018-03-11 18:37

Postby circus78 » 2018-03-08 15:01
Hi,
I would like to upgrade an old Lenny installation.

It would help to know what the OP wants to upgrade to. If they want to upgrade to the current Debian stable (stretch) then I agree, it would be easier to just copy /save any data they need to save, then install the current stable version.
There are a few unknown factors here, like if this is a server, or what, ?
The hardware is a factor as well, anything newer the Debian 7 , might not be the best choice ,
Postby circus78 >>How can I go ahead?
Thank you !

With out more details on your hardware, and what the machine being used is for, etc. I can not / will not , suggest anything. Linux and Debian have changed considerably since Debian Lenny.

GPG error: http://archive.debian.org squeeze Release: The following signatures were invalid: KEYEXPIRED 1520281423 KEYEXPIRED 1501892461
W: You may want to run apt-get update to correct these problems

Did you run 'apt-get update', again like it said ? What were the results ? The message is clear, you need to get valid signatures, or just not use them, and that opens a can of worms on security issues.
As Bulkley said:
That you asked suggests that you should avoid it.
It sounds like it is something you are not capable of dealing with, and it will be extremely hard, if not impossible to find any one to help on a system that far out of date. More so if you are not able or willing to pay for a good ,qualified tech to do what needs to be done.
User avatar
GarryRicketson
 
Posts: 5048
Joined: 2015-01-20 22:16
Location: Durango, Mexico

Re: Upgrading very old OS

Postby circus78 » 2018-05-05 09:12

Hi all, sorry for retard :)
I am going to proceed with a fresh install of Stretch :)
Thank you very much!
circus78
 
Posts: 32
Joined: 2012-09-14 08:47


Return to General Questions

Who is online

Users browsing this forum: No registered users and 2 guests

fashionable